<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xsi:schemaLocation="
       http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-2.5.xsd
       http://camel.apache.org/schema/spring http://camel.apache.org/schema/spring/camel-spring.xsd">

  <camelContext xmlns="http://camel.apache.org/schema/spring" id="loanApprovalCamelContext">
    <routeBuilder ref="builder"/>
  </camelContext>

  <bean id="builder" class="org.ow2.orchestra.cxf.example.loanApprovalCamel.LoanApprovalRouteBuilder" />
  
  <bean class="org.apache.camel.component.cxf.transport.CamelTransportFactory">
    <property name="camelContext" ref="loanApprovalCamelContext" />
    <property name="transportIds">
      <list>
        <value>http://cxf.apache.org/transports/camel</value>
      </list>
    </property>
  </bean>
</beans>
